close all; clear; clc;

% Load color channels.
load I1.txt
load I2.txt
load I3.txt

[m, n] = size(I1);

% Create image.
I = zeros(m, n, 3);
I(:, :, 1) = I1;
I(:, :, 2) = I2;
I(:, :, 3) = I3;

figure
imshow(I)
title("original")

F = zeros(size(I));

for k = 1:3

    % Perform Fourier transform row-wise.
    % ...

    % Perform Fourier transform column-wise.
    % ...

end

threshold = 1e-4;

% Find indices for which [F] is less than [threshold] in absolute value.
% ...

memory_saved = number_of_removed_coefficients / (m * n * k);
disp("memory saved: " + memory_saved);

for k = 1:3

    % Perform Fourier synthesis row-wise.
    % ...

    % Perform Fourier synthesis column-wise.
    % ...

end

figure
imshow(real(I))
title("compressed")
